Get distributor UPC prefixes
This endpoint is only available on demand. Reach out if you’d like to use it.
Retrieve all UPC prefixes mapped to a specific distributor for accurate catalog attribution.
A UPC prefix is the initial sequence of a UPC code that identifies the releasing distributor. For example, in the UPC 008888311234, the root 00888831 links the release to Sony.
Request
GET
/api/v2/distributor/{uuid}/upc-roots
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | A distributor UUID | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A upc root collection response |
Upc Root Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Distributor not found |